#include <Contap_Contour.hxx>
|
| Contap_Contour () |
|
| Contap_Contour (const gp_Vec &Direction) |
|
| Contap_Contour (const gp_Vec &Direction, const Standard_Real Angle) |
|
| Contap_Contour (const gp_Pnt &Eye) |
|
| Contap_Contour (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Vec &Direction) |
| Creates the contour in a given direction. More...
|
|
| Contap_Contour (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Vec &Direction, const Standard_Real Angle) |
| Creates the contour in a given direction. More...
|
|
| Contap_Contour (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Pnt &Eye) |
| Creates the contour for a perspective view. More...
|
|
void | Perform (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain) |
| Creates the contour in a given direction. More...
|
|
void | Perform (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Vec &Direction) |
| Creates the contour in a given direction. More...
|
|
void | Perform (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Vec &Direction, const Standard_Real Angle) |
| Creates the contour in a given direction. More...
|
|
void | Perform (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Pnt &Eye) |
| Creates the contour for a perspective view. More...
|
|
void | Init (const gp_Vec &Direction) |
|
void | Init (const gp_Vec &Direction, const Standard_Real Angle) |
|
void | Init (const gp_Pnt &Eye) |
|
Standard_Boolean | IsDone () const |
|
Standard_Boolean | IsEmpty () const |
| Returns true if the is no line. More...
|
|
Standard_Integer | NbLines () const |
|
const Contap_Line & | Line (const Standard_Integer Index) const |
|
Contap_SurfFunction & | SurfaceFunction () |
| Returns a reference on the internal SurfaceFunction. This is used to compute tangents on the lines. More...
|
|
◆ Contap_Contour() [1/7]
Contap_Contour::Contap_Contour |
( |
| ) |
|
◆ Contap_Contour() [2/7]
Contap_Contour::Contap_Contour |
( |
const gp_Vec & |
Direction | ) |
|
◆ Contap_Contour() [3/7]
◆ Contap_Contour() [4/7]
Contap_Contour::Contap_Contour |
( |
const gp_Pnt & |
Eye | ) |
|
◆ Contap_Contour() [5/7]
Creates the contour in a given direction.
◆ Contap_Contour() [6/7]
Creates the contour in a given direction.
◆ Contap_Contour() [7/7]
Creates the contour for a perspective view.
◆ Init() [1/3]
void Contap_Contour::Init |
( |
const gp_Vec & |
Direction | ) |
|
◆ Init() [2/3]
◆ Init() [3/3]
void Contap_Contour::Init |
( |
const gp_Pnt & |
Eye | ) |
|
◆ IsDone()
◆ IsEmpty()
Returns true if the is no line.
◆ Line()
◆ NbLines()
◆ Perform() [1/4]
Creates the contour in a given direction.
◆ Perform() [2/4]
Creates the contour in a given direction.
◆ Perform() [3/4]
Creates the contour in a given direction.
◆ Perform() [4/4]
Creates the contour for a perspective view.
◆ SurfaceFunction()
Returns a reference on the internal SurfaceFunction. This is used to compute tangents on the lines.
The documentation for this class was generated from the following file: